# salt.states.memcached

## States for Management of Memcached Keys

Added in version 2014.1.0.

salt.states.memcached.absent(name, value=None, host='127.0.0.1', port=11211, time=0)

  Ensure that a memcached key is not present.

  name

    The key

  valueNone

    If specified, only ensure that the key is absent if it matches the specified value.

  host

    The memcached server IP address

  port

    The memcached server port

      foo:
        memcached.absent

      bar:
        memcached.absent:
          - host: 10.0.0.1

salt.states.memcached.managed(name, value=None, host='127.0.0.1', port=11211, time=0, min_compress_len=0)

  Manage a memcached key.

  name

    The key to manage

  value

    The value to set for that key

  host

    The memcached server IP address

  port

    The memcached server port

      foo:
        memcached.managed:
          - value: bar